package po

import (
	"fmt"
	"plugins/union_pay_cpn/internal/vo"
)

type QueryReq struct {
	ChNlId   string `validate:"required" json:"chnlId"` // 渠道方代码-必填
	Cmd      string `validate:"required" json:"cmd"`
	OrigQid  string `validate:"required" json:"origQid"`
	OrigDate string `validate:"required" json:"origDate"`
	TraceId  string `validate:"required" json:"traceId"`
}

type QueryResp struct {
	Code          vo.Code    `json:"code"`
	Msg           string     `json:"msg"`
	SubCode       vo.SubCode `json:"subCode"`
	SubMsg        string     `json:"subMsg"`
	OperaSt       vo.OperaSt `json:"operaSt"`
	CouponCd      string     `json:"couponCd"`
	CouponBeginTs string     `json:"couponBeginTs"`
	CouponEndTs   string     `json:"couponEndTs"`
}

func (o *QueryResp) GetMsg() string {
	if o.Code.IsSuccess() {
		return o.Msg
	}
	return fmt.Sprintf("Msg:[%s],SubMsg:[%s],自定处理msg:[%s]", o.Msg, o.SubMsg, o.SubCode.GetMsg())
}
